View Issue Details

IDProjectCategoryView StatusLast Update
0012496ScribusStory Editor / Text Framespublic2018-07-29 19:23
ReporterFirasH Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status acknowledgedResolutionopen 
Product Version1.5.0svn 
Target VersionFixed in Version 
Summary0012496: Metabug: Marks & Footnotes & Weld (1.5.0.svn)
DescriptionThis Metabug contains all the bugs related to Insert > Marks or Edit > Marks...
(Footnotes and Welds are included here as well)

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to Marks, please click on the "Monitor Issue" button

Additional InformationFYI, Before stopping scribus dev, cezary worked on a git branch dedicated to fix footnotes bugs.
Here is a copy of this branch, with all history and detailed logs : https://github.com/AlterScribus/contributors/tree/footnotes_fix
Tagsfootnotes
PatchNo

Relationships

parent of 0012495 closedjghali Scribus Undo/Redo crashes Scribus using Marks > Reference to Item 
parent of 0012307 confirmed Scribus Undo/Redo records useless entries for Marks 
parent of 0011682 confirmed Scribus Wrong managment of Variable Text Marks 
parent of 0011683 closedjghali Scribus Crash due to wrong management of Reference to Item Marks 
parent of 0012125 closedcbradney Scribus Foot/Endnote mark delete == Crash 
parent of 0012147 new Scribus Inconsistent behaviour of marks editing/managing 
parent of 0012551 closedjghali Scribus Delete Reference to Item crashes Scribus 
parent of 0012850 closedjghali Scribus Label of "Anchor Marks" is not updated after editing it 
parent of 0011812 closedcbradney Scribus reference to item marks dont respect the secttion's defined offset for page numbers 
parent of 0011765 closedcbradney Scribus crash when deleting footnote's text 
parent of 0013092 new Scribus replace the current footnotes by in-frame footnotes 
parent of 0013490 closedcbradney Scribus after inserting a footnote before an existing footnote the format of the new footnote text is wrong 
parent of 0011766 new Scribus "delete when empty" footnote option 
parent of 0003349 acknowledgedcezaryece Scribus A real support of footnotes 
parent of 0011762 new Scribus [patch] top line for footnotes frames 
parent of 0011132 assigned Scribus Weld item don't follow correctly 
parent of 0011282 closedcezaryece Scribus Footnote mark in original text frame cannot be formatted 
parent of 0011283 acknowledgedcezaryece Scribus Footnotes frames are placed wrongly and extend into the wrong direction 
parent of 0009848 closedjghali Scribus [PATCH, OBSOLETE] Add control for Hyphenation Mode property of Paragraph Style 
parent of 0011661 closed Scribus Numbering of all footnotes is zero 
parent of 0011234 acknowledgedcezaryece Scribus Style creation for footnotes 
parent of 0011135 acknowledgedcezaryece Scribus no refresh after moving a frame with footnotes welded 
parent of 0012262 new Scribus Support for two (or even three) sets of footnotes/endnotes 
parent of 0001809 assignedTsoots Scribus OpenOffice 2.0 writer import does not import footnotes properly 
parent of 0011226 new Scribus footnotes: add an option to have all the notes on the page in the same notes text area 
parent of 0011625 feedbackcezaryece Scribus inline graphic fails to be saved in footnote frame 
parent of 0006573 closed Scribus Some styles imported from OpenOffice loose their names 
parent of 0010796 new Scribus welded frames wire should all be visible when moving one 
parent of 0010797 new Scribus welding point visibility 
parent of 0010799 new Scribus welding point visibility feedback after welding 
parent of 0010798 assignedfschmid Scribus welding point placement and nature 
parent of 0011019 new Scribus Bug: unwanted move of welded items if welding point of master items doesnt change its position 
parent of 0001173 acknowledged Scribus Magnetic Captions/Smart Captions 
parent of 0011817 new Scribus welded items move wild when moving their page 
parent of 0012424 confirmed Scribus Resizing Welded Items leads to strange results 
parent of 0012874 new Scribus Provide keyboard shortcut for 'Weld' action. 
parent of 0012354 closedfschmid Scribus Ungrouping items rotated/grouped/welded places them wrongly 
parent of 0013560 closedjghali Scribus "Edit" in Marks Manager crashes Scribus with Variable Text marks 
parent of 0007594 new Scribus predominance of marks on the frame handles 
parent of 0013862 new Scribus Welded items copy n pasting 
parent of 0014140 closedjghali Scribus Cutting/Pasting then deleting footnote frame results in crash 
parent of 0014176 confirmed Scribus Insert Two Variable Text and Backspace --> Crash 
parent of 0014177 closedjghali Scribus Variable Text plenty of copy, if TextBox width of less than text width. 
parent of 0013987 confirmed Scribus Saving item marks seems to be buggy (split from 0013602
parent of 0014175 confirmed Scribus Error in page number (“Reference to Mark”) when anchors are in linked text frames 
parent of 0014181 closedjghali Scribus Deleting text with anchor marks triggers crash 
parent of 0014121 confirmed Scribus VariableText-Marks get repeated on linebreak 
parent of 0014124 new Scribus Column for Line Numbers in Marks Manager 
parent of 0011837 closed Contributor Builds footnotes_fix : crash when deleteing text of 2 footnotes at once 
parent of 0015388 closedjghali Scribus Crash when deleting footnote 
Not all the children of this issue are yet resolved or closed.

Activities

JLuc

2014-12-15 11:30

developer   ~0034293

Last edited: 2014-12-15 11:33

View 3 revisions

Welding feature was introduced so as to manage footnotes but can also be used independantly.
Should the "weld feature" issues be reported here also ?

JLuc

2014-12-26 13:53

developer   ~0034316

Last edited: 2015-11-13 01:53

View 2 revisions

Added in description :
"
Before stopping scribus dev, cezary worked on a git branch dedicated to fix footnotes bugs.
Here is a copy of this branch, with all history and detailed logs : https://github.com/AlterScribus/contributors/tree/footnotes_fix

"

Issue History

Date Modified Username Field Change
2014-07-08 18:11 FirasH New Issue
2014-07-08 18:12 FirasH Description Updated View Revisions
2014-07-08 18:13 FirasH Relationship added parent of 0012495
2014-07-08 18:14 FirasH Relationship added parent of 0012307
2014-07-08 18:15 FirasH Relationship added parent of 0011682
2014-07-08 18:15 FirasH Relationship added parent of 0011683
2014-07-08 18:17 FirasH Relationship added parent of 0012125
2014-07-08 18:19 FirasH Relationship added parent of 0012147
2014-07-09 15:34 FirasH Status new => acknowledged
2014-07-09 15:34 FirasH Description Updated View Revisions
2014-07-09 15:34 FirasH Summary Metabug: Marks => Metabug: Marks (1.5.0.svn)
2014-07-23 04:52 FirasH Relationship added parent of 0012551
2014-12-13 22:58 FirasH Patch => No
2014-12-13 22:58 FirasH Description Updated View Revisions
2014-12-13 22:58 FirasH Description Updated View Revisions
2014-12-13 23:16 FirasH Relationship added parent of 0012850
2014-12-15 11:28 JLuc Relationship added parent of 0011812
2014-12-15 11:28 JLuc Relationship added parent of 0011765
2014-12-15 11:30 JLuc Note Added: 0034293
2014-12-15 11:33 JLuc Note Edited: 0034293 View Revisions
2014-12-15 11:33 JLuc Note Edited: 0034293 View Revisions
2014-12-26 13:53 JLuc Description Updated View Revisions
2014-12-26 13:53 JLuc Additional Information Updated View Revisions
2014-12-26 13:53 JLuc Note Added: 0034316
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2015-11-07 11:41 Kunda Summary Metabug: Marks (1.5.0.svn) => Metabug: Marks & Footnotes & Weld (1.5.0.svn)
2015-11-07 11:41 Kunda Description Updated View Revisions
2015-11-07 11:41 Kunda Additional Information Updated View Revisions
2015-11-07 13:49 Kunda Relationship added parent of 0013092
2015-11-13 01:25 Kunda Relationship added parent of 0013490
2015-11-13 01:26 Kunda Relationship added parent of 0011766
2015-11-13 01:27 Kunda Relationship added parent of 0003349
2015-11-13 01:27 Kunda Relationship added parent of 0011762
2015-11-13 01:28 Kunda Relationship added parent of 0011132
2015-11-13 01:35 Kunda Relationship added parent of 0011282
2015-11-13 01:37 Kunda Relationship added parent of 0011283
2015-11-13 01:38 Kunda Relationship added parent of 0009848
2015-11-13 01:38 Kunda Relationship added parent of 0011661
2015-11-13 01:39 Kunda Relationship added parent of 0011234
2015-11-13 01:39 Kunda Relationship added parent of 0011135
2015-11-13 01:40 Kunda Relationship added parent of 0012262
2015-11-13 01:41 Kunda Relationship added parent of 0001809
2015-11-13 01:41 Kunda Relationship added parent of 0011226
2015-11-13 01:42 Kunda Relationship added parent of 0011625
2015-11-13 01:43 Kunda Relationship added parent of 0006573
2015-11-13 01:46 Kunda Relationship added parent of 0010796
2015-11-13 01:46 Kunda Relationship added parent of 0010797
2015-11-13 01:46 Kunda Relationship added parent of 0010799
2015-11-13 01:47 Kunda Relationship added parent of 0010798
2015-11-13 01:47 Kunda Relationship added parent of 0011019
2015-11-13 01:48 Kunda Relationship added parent of 0001173
2015-11-13 01:48 Kunda Relationship added parent of 0011817
2015-11-13 01:48 Kunda Relationship added parent of 0012424
2015-11-13 01:49 Kunda Relationship added parent of 0012874
2015-11-13 01:49 Kunda Relationship added parent of 0012354
2015-11-13 01:53 Kunda Note Edited: 0034316 View Revisions
2015-11-13 01:54 Kunda Additional Information Updated View Revisions
2015-11-25 12:15 FirasH Relationship added parent of 0013560
2016-01-20 01:44 Kunda Relationship added parent of 0007594
2016-03-30 21:01 Kunda Relationship added parent of 0013862
2016-04-11 18:20 Kunda Tag Attached: footnotes
2016-06-13 16:57 FirasH Relationship added parent of 0014140
2016-06-23 15:18 PeterBenedek Relationship added parent of 0014176
2016-06-23 15:36 PeterBenedek Relationship added parent of 0014177
2016-12-19 13:37 Kunda Relationship added parent of 0013987
2016-12-19 13:37 Kunda Relationship added parent of 0014175
2016-12-19 13:37 Kunda Relationship added parent of 0014181
2016-12-19 13:41 Kunda Relationship added parent of 0014121
2016-12-19 13:42 Kunda Relationship added parent of 0014124
2018-07-29 19:23 JLuc Relationship added parent of 0011837
2018-07-29 19:23 JLuc Relationship added parent of 0015388